Intellij EAP and OSX Mavericks

So we understand that the problem is the launcher and Jetbrains has to generate a new bundle following Oracles protocol. In looking through the latest release notes for IntelliJ IDEA 13 build 132.947 it looks to me like this was addressed under:

Package and Installation

IDEA-91062 (Feature) Bundle the required JRE into the AppCode application package
IDEA-115627 (Bug) For MacOSX installation with bundled jdk messages prompted to allow incoming connections are displayed


However it still doesn't work. IntelliJ still requires 1.6. I was able to get around this using the Unix version if any one is interested. Here's a blog post about it - http://duncandevore.blogspot.com/2013/11/intellij-on-mavericks-without-java-1.html.

Jetbrains please fix this!

2 comments

I think that perhaps the version with bundled JDK is not public yet.
The published Mac version does not appear to physically contain the JDK bundle.

0

Yes for gods sake please fix this already.  Getting IDEA running on a Mac continues to be an exercise in frustration.

0

Please sign in to leave a comment.